#!/bin/sh

JAVA_POLICY=~/.java.policy

# Copy the tools.jar / classes.jar from the JDK to ./lib.
# Disable this as we have replaced it with a symlink to the .jar provided
# by the default-jdk
# cp ${CURJDK}/${TOOLSJAR} ./lib/

echo [2] Turning off Java security for JavaSnoop usage
# Turn off Java security.
if [ -f "${JAVA_POLICY}" ]
then
	cp ${JAVA_POLICY} ${JAVA_POLICY}.orig
	rm ${JAVA_POLICY}
else
	# Copy safe policy as orig
	cp resources/safe.policy ${JAVA_POLICY}.orig
fi
cp resources/unsafe.policy ${JAVA_POLICY}

echo [3] Starting JavaSnoop...
# Start JavaSnoop.
/usr/lib/jvm/default-java/bin/java -jar JavaSnoop.jar -Xmx128m

echo [4] Turning Java security back on for safe browsing
# Undo what we did
cp ${JAVA_POLICY}.orig ${JAVA_POLICY}
